All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::traits::tag_of< T, Active > Struct Template Reference

Generic base for wrapping other linear algebra packages. More...

`#include <tag_of.hpp>`

## Detailed Description

### template<typename T, typename Active = void>
struct viennacl::traits::tag_of< T, Active >

Generic base for wrapping other linear algebra packages.

Maps types to tags, e.g. viennacl::vector to tag_viennacl, ublas::vector to tag_ublas if the matrix type is unknown, tag_none is returned

This is an internal function only, there is no need for a library user of ViennaCL to care about it any further

Template Parameters

  T | The type to be inspected

Definition at line 84 of file tag_of.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/tag_of.hpp